package com.xiang.xservice.application.script.xb.service;

import com.xiang.xservice.application.script.xb.entity.pojo.xb.XbFundCount;
import com.xiang.xservice.application.script.xb.entity.pojo.xb.XbFundList;
import com.xiang.xservice.application.script.xb.entity.response.xbyj.fund.FundInfo;
import com.xiang.xservice.application.script.xb.entity.response.xbyj.fund.FundList;

import java.util.List;

/**
 * @Author: xiang
 * @Date: 2025-05-14 15:41
 */
public interface FundService {

    /**
     * 查询列表情况
     */
    List<FundList> queryTodayList(String date, String dataResources, Boolean dataSourceSwitch, List<String> codeArr);

    /**
     * 查询基金详情
     * @param code  基金代码
     * @return
     */
    FundInfo queryFundInfo(String code);


    /**
     * 查询基金列表
     * @return
     */
    List<XbFundList> queryFundList(Integer type);
    List<XbFundList> queryFundList();

    int addCounts(List<XbFundCount> list);

    /**
     * 查询一周内基金统计
     * @return
     */
    List<XbFundCount> queryFundCountInWeek();
}
